GETFACL(1)

NAME
getfacl - show Linux POSIX ACL information

SYNOPSIS
getfacl [-dhnqs] [file ...]

DESCRIPTION
The getfacl utility writes Linux POSIX ACL information for each file to standard output. This port reads ACLs directly from the Linux xattrs system.posix_acl_access and system.posix_acl_default. If an access ACL xattr is absent, the base ACL is synthesized from the file mode bits.

The following options are available:

-d, --default
    Show the default ACL instead of the access ACL. If no default ACL xattr exists, only the header is printed unless -q or -s suppresses output.

-h  Do not follow symbolic links. On Linux, POSIX ACLs are not supported on symbolic link inodes, so this port returns an explicit error when -h targets a symbolic link.

-n, --numeric
    Display numeric user and group identifiers instead of resolving names.

-q, --omit-header
    Suppress the commented file, owner, and group header.

-s, --skip-base
    Skip access ACLs that are trivial and can be represented entirely by the file mode bits. For default ACLs, suppress output when no default ACL xattr exists.

-i  Unsupported on Linux in this port. This flag was specific to FreeBSD NFSv4 ACL output and exits with an error.

-v  Unsupported on Linux in this port. This flag was specific to FreeBSD NFSv4 ACL output and exits with an error.

If no file operand is provided, or if an operand is --, getfacl reads pathnames from standard input, one per line.

EXIT STATUS

SEE ALSO
chmod(1), setfacl(1), getxattr(2), lgetxattr(2), stat(2), xattr(7)

HISTORY
Extended Attribute and Access Control List support was developed as part of the TrustedBSD Project. This Linux port replaces the original FreeBSD ACL library dependencies with a Linux-native xattr parser.

AUTHORS
Robert N M Watson